Page MenuHomePhabricator

Add convenient gulp watch task for development
Closed, ResolvedPublic3 Estimate Story Points

Description

Our structure has a dev and a prod folder.

Since recent changes (T118894), the only way to develop has been to build the production version.

This has 2 major issues:

  • the production version only has minified assets, which makes development/troubleshooting harder.
  • many tasks required to output the production version can be avoided when developing a feature.

This ticket is to bring back a development version (with non-minified assets), as well as a gulp task that watches for file changes and builds the development version.
This will make development a lot easier/better/faster.

Event Timeline

JGirault created this task.Dec 9 2015, 10:43 PM
JGirault assigned this task to Jdrewniak.
JGirault raised the priority of this task from to Needs Triage.
JGirault updated the task description. (Show Details)
JGirault added a subscriber: JGirault.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 9 2015, 10:43 PM
JGirault set Security to None.
JGirault edited a custom field.
Jdrewniak closed this task as Resolved.Dec 15 2015, 7:41 PM
Jdrewniak moved this task from Needs code review to Done on the Discovery-Portal-Sprint board.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Jan 26 2016, 12:32 AM